SolrQuery::getHighlightRegexSlop
SolrQuery::getHighlightSimplePost
SolrQuery
PHP Manual

# SolrQuery::getHighlightRequireFieldMatch

Returns if a field will only be highlighted if the query matched in this particular field

### Description

public bool SolrQuery::getHighlightRequireFieldMatch ( void )

Returns if a field will only be highlighted if the query matched in this particular field.

### Parameters

This function has no parameters.

### Return Values

Returns a boolean on success and `NULL` if not set.